## org.apache.myfaces.custom.navmenu
Class NavigationMenuItem

    java.lang.Object
      javax.faces.model.SelectItem
          org.apache.myfaces.custom.navmenu.NavigationMenuItem

All Implemented Interfaces:
  java.io.Serializable

public class NavigationMenuItem
extends javax.faces.model.SelectItem

Version:
  $Revision: 291496 $ $Date: 2005-09-25 20:14:54 -0400 (Sun, 25 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: tomsp $)
See Also:
  Serialized Form

Constructor Summary
`NavigationMenuItem(java.lang.Object value, java.lang.String label, java.lang.String description, boolean disabled, boolean rendered, java.lang.String action, java.lang.String icon, boolean split)`
`NavigationMenuItem(java.lang.Object value, java.lang.String label, java.lang.String description, boolean disabled, java.lang.String action, java.lang.String icon, boolean split)`
`NavigationMenuItem(java.lang.String label, java.lang.String action)`
`NavigationMenuItem(java.lang.String label, java.lang.String action, java.lang.String icon, boolean split)`

Method Summary
`void` `add(NavigationMenuItem navigationMenuItem)`
`java.lang.String` `getAction()`
`java.lang.String` `getIcon()`
`NavigationMenuItem[]` `getNavigationMenuItems()`
`boolean` `isRendered()`
`boolean` `isSplit()`
`void` `setAction(java.lang.String action)`
`void` `setIcon(java.lang.String icon)`
`void` `setNavigationMenuItems(java.util.List list)`
`void` `setNavigationMenuItems(NavigationMenuItem[] navigationMenuItems)`
`void` `setSplit(boolean split)`

Methods inherited from class javax.faces.model.SelectItem
`getDescription, getLabel, getValue, isDisabled, setDescription, setDisabled, setLabel, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigationMenuItem

    public NavigationMenuItem(java.lang.String label,
                              java.lang.String action)

### NavigationMenuItem

    public NavigationMenuItem(java.lang.String label,
                              java.lang.String action,
                              java.lang.String icon,
                              boolean split)

### NavigationMenuItem

    public NavigationMenuItem(java.lang.Object value,
                              java.lang.String label,
                              java.lang.String description,
                              boolean disabled,
                              java.lang.String action,
                              java.lang.String icon,
                              boolean split)

### NavigationMenuItem

    public NavigationMenuItem(java.lang.Object value,
                              java.lang.String label,
                              java.lang.String description,
                              boolean disabled,
                              boolean rendered,
                              java.lang.String action,
                              java.lang.String icon,
                              boolean split)

Method Detail

### isRendered

    public boolean isRendered()

### getAction

    public java.lang.String getAction()

### setAction

    public void setAction(java.lang.String action)

### isSplit

    public boolean isSplit()

### setSplit

    public void setSplit(boolean split)

### getIcon

    public java.lang.String getIcon()

### setIcon

    public void setIcon(java.lang.String icon)

### getNavigationMenuItems

    public NavigationMenuItem[] getNavigationMenuItems()

### setNavigationMenuItems

    public void setNavigationMenuItems(NavigationMenuItem[] navigationMenuItems)

### setNavigationMenuItems

    public void setNavigationMenuItems(java.util.List list)

### add

    public void add(NavigationMenuItem navigationMenuItem)